@echo off
CLS
echo.
echo *** Icarus Adventure System ***
echo.
echo Creacion del entorno de desarrollo de una nueva aventura grafica
echo.
echo Introduce un nombre abreviado de la aventura a crear (maximo 10 caracteres y sin espacios)
set /P direc=Nombre:

if exist %direc%_ficheros_aventura goto error1
if exist %direc%_ficheros_sprites goto error1
if exist %direc%_ficheros_trabajo goto error1

MD %direc%_ficheros_aventura
MD %direc%_ficheros_sprites
MD %direc%_ficheros_trabajo

XCOPY sistema_base\base_ficheros_aventura\*.* %direc%_ficheros_aventura /s /e
XCOPY sistema_base\base_ficheros_sprites\*.* %direc%_ficheros_sprites /s /e

echo bin\PAFS IcarusAdventureSystem.nds %direc%_ficheros_aventura/ /silence > crear_ROM_%direc%.bat
echo bin\PAFS IcarusAdventureSystem.ds.gba %direc%_ficheros_aventura/ /silence >> crear_ROM_%direc%.bat
echo bin\PAFS IcarusAdventureSystem.sc.nds %direc%_ficheros_aventura/ /silence >> crear_ROM_%direc%.bat

echo bin\PAFS IcarusAdventureSystem2.nds %direc%_ficheros_aventura/ /silence > crear_ROM2_%direc%.bat
echo bin\PAFS IcarusAdventureSystem2.ds.gba %direc%_ficheros_aventura/ /silence >> crear_ROM2_%direc%.bat
echo bin\PAFS IcarusAdventureSystem2.sc.nds %direc%_ficheros_aventura/ /silence >> crear_ROM2_%direc%.bat

echo.
echo.
echo Se han creado las carpetas y los ficheros necesarios para el entorno de desarrollo de la aventura '%direc%'
pause
exit



:error1
echo.
echo.
echo ERROR, ya existen las carpetas para el entorno de desarrollo de la aventura '%direc%'
pause
exit
